FOREIGN_SUNRAS_WRITE(3)

FUNCTION
foreign_sunras_write - Write a colour image to a channel in Sun rasterfile format.

SYNOPSIS
#include <karma_foreign.h>

flag foreign_sunras_write

(Channel channel, multi_array *multi_desc, ...)

DESCRIPTION
Write a colour image to a channel in Sun rasterfile format.

channel
    The channel to write to. The channel is not flushed.

multi_desc
    The multi_array descriptor pointer. The routine will find a TrueColour image or a PseudoColour image within the data structure.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_SUNRAS_WRITE_END. See <-foreign_ATT_SUNRAS_WRITE-> for a list of defined attributes.

RETURN VALUE
TRUE on succes, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/